Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Interface Negatable

All Known Implementing Classes:
  BooleanExpression, BooleanFn, ValueComparison

    public interface Negatable

This interface is implemented by expressions that returns a boolean value, and returns an expression whose result is the negated boolean value

Method Summary
`boolean` | `isNegatable(ExpressionVisitor visitor)` Check whether this specific instance of the expression is negatable
`Expression` | `negate()` Create an expression that returns the negation of this expression

Method Detail

### isNegatable

    boolean isNegatable(ExpressionVisitor visitor)

  Check whether this specific instance of the expression is negatable

  Returns:
    true if it is

### negate

    Expression negate()

  Create an expression that returns the negation of this expression

  Returns:
    the negated expression
  Throws:
    `IllegalOperationException` - if isNegatable() returns false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.